Bug 439540 - oprofile fix to support Penryn-based processors
oprofile fix to support Penryn-based processors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: John Villalovos
Martin Jenner
: ZStream
: 442634 (view as bug list)
Depends On: 313631 439539
Blocks: 245608 448357
  Show dependency treegraph
 
Reported: 2008-03-28 19:08 EDT by Geoff Gustafson
Modified: 2015-05-08 09:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:28:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of patch to 4.7 (752 bytes, patch)
2008-04-15 16:57 EDT, Geoff Gustafson
no flags Details | Diff

  None (edit)
Description Geoff Gustafson 2008-03-28 19:08:22 EDT
The Penryn-based CPUs have the same performance registers as older Core 2 chips,
but they have a new model number (23 instead of 15).

I suspect the same one-line patch from 5.2 is needed to oprofile code so
oprofile will treat them the same way.

I will test this out on Monday and post the patch.
Comment 1 Ronald Pacheco 2008-03-30 22:05:37 EDT
This request mirrors the request that was accepted for RHEL 5.2.
Comment 2 Ronald Pacheco 2008-03-31 13:59:32 EDT
Per Intel, this patch is necessaery to address a regression thart was
introducced with the patch that resolves BX 313631.
Comment 6 Geoff Gustafson 2008-04-15 16:57:25 EDT
Created attachment 302523 [details]
backport of patch to 4.7
Comment 7 Andrew Hecox 2008-04-16 12:37:11 EDT
*** Bug 442634 has been marked as a duplicate of this bug. ***
Comment 10 Vivek Goyal 2008-05-16 13:52:04 EDT
Committed in 70.EL. RPMS are available at http://people.redhat.com/vgoyal/
Comment 15 Song, Youquan 2008-06-02 05:38:55 EDT
The patch includes in 70.EL, but on bensley platform(Harpertown), oprofiled 
fail to start collect information.
[root@Bensley-RHEL47 initial]# opcontrol --start
No events given.
Using default event:
No events given.
Comment 17 errata-xmlrpc 2008-07-24 15:28:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 20 Song, Youquan 2008-08-05 22:07:03 EDT
Adding CPU_CLK_UNHALTED:1000000:0:1:1 parameter in /root/.oprofile/daemonrc, we also can collect the performance data.

Note You need to log in before you can comment on or make changes to this bug.